> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates firmware version to be activated or deactivated 



## OpenAPI

````yaml put /api/v1/firmwares/{version-number}
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/firmwares/{version-number}:
    put:
      tags:
        - devices
      summary: 'Updates firmware version to be activated or deactivated '
      parameters:
        - name: version-number
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FirmwareSchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/FirmwareSchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/FirmwareSchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/FirmwareSchema'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    FirmwareSchema:
      type: object
      properties:
        is_deactivated:
          type: boolean
        uncompressed_size:
          type: integer
          format: int64
        dependencies:
          type: array
          items:
            $ref: '#/components/schemas/FirmwareDependenciesSchema'
      additionalProperties: false
    FirmwareDependenciesSchema:
      required:
        - component_name
        - min_version
      type: object
      properties:
        component_name:
          type: string
        min_version:
          type: string
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````